com.amazonaws.services.workspaces.model

## Class DescribeTagsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.workspaces.model.DescribeTagsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class DescribeTagsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

The result of the DescribeTags operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DescribeTagsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DescribeTagsResult` `clone()`
`boolean` `equals(Object obj)`
`List<Tag>` `getTagList()` The list of tags.
`int` `hashCode()`
`void` `setTagList(Collection<Tag> tagList)` The list of tags.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeTagsResult` `withTagList(Collection<Tag> tagList)` The list of tags.
`DescribeTagsResult` `withTagList(Tag... tagList)` The list of tags.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DescribeTagsResult

    public DescribeTagsResult()

### Method Detail

#### getTagList

    public List<Tag> getTagList()

The list of tags.

Returns:
  The list of tags.

#### setTagList

    public void setTagList(Collection<Tag> tagList)

The list of tags.

Parameters:
  `tagList` - The list of tags.

#### withTagList

    public DescribeTagsResult withTagList(Tag... tagList)

The list of tags.

NOTE: This method appends the values to the existing list (if any). Use `setTagList(java.util.Collection)` or `withTagList(java.util.Collection)` if you want to override the existing values.

Parameters:
  `tagList` - The list of tags.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTagList

    public DescribeTagsResult withTagList(Collection<Tag> tagList)

The list of tags.

Parameters:
  `tagList` - The list of tags.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DescribeTagsResult clone()

Overrides:
  `clone` in class `Object`